/// <reference types="node" />
import VM from 'vm';
/**
 * This class is used for rendering a script server side.
 */
export default class VMContext {
    private context;
    /**
     * Returns route HTML.
     *
     * @param {object} options Options.
     * @param {string} options.html HTML.
     * @param {VM.Script} [options.script] Script.
     * @param {string} [options.url] Page URL.
     * @param {boolean} [options.openShadowRoots=false] Set to "true" to open up shadow roots.
     * @return {Promise<string>} HTML.
     */
    render(options: {
        html: string;
        script: VM.Script;
        url?: string;
        openShadowRoots: boolean;
    }): Promise<string>;
    /**
     * Disposes the render.
     */
    dispose(): void;
    /**
     * Creates a context.
     *
     * @return {VM.Context} Context.
     */
    private createContext;
}
