import HTMLElement from '../nodes/basic-types/html-element/HTMLElement';
/**
 * Custom elements registry.
 */
export default class CustomElementRegistry {
    private _callbacks;
    private _registry;
    /**
     * Defines a custom element class.
     *
     * @param {string} tagName Tag name of element.
     * @param {typeof HTMLElement} elementClass Element class.
     */
    define(tagName: string, elementClass: typeof HTMLElement): void;
    /**
     * Returns a defined element class.
     *
     * @param {string} tagName Tag name of element.
     * @param {typeof HTMLElement} HTMLElement class defined.
     */
    get(tagName: string): typeof HTMLElement;
    /**
     * Upgrades it.
     */
    upgrade(): void;
    /**
     * When defined.
     *
     * @param {string} tagName Tag name of element.
     * @return {Promise<void>} Promise.
     */
    whenDefined(tagName: string): Promise<void>;
}
