import Element from '../nodes/basic-types/element/Element';
import Document from '../nodes/basic-types/document/Document';
/**
 * HTML parser.
 */
export default class HTMLParser {
    /**
     * Parses HTML and returns a root element.
     *
     * @param  {Document} document Document.
     * @param  {string} data HTML data.
     * @return {Element} Root element.
     */
    static parse(document: Document, data: string): Element;
    /**
     * Appends text and comment nodes.
     *
     * @param  {Document} document Document.
     * @param  {Node} node Node.
     * @param  {string} text Text to search in.
     */
    private static appendTextAndCommentNodes;
    /**
     * Returns text and comment nodes from a text.
     *
     * @param  {Document} document Document.
     * @param  {string} text Text to search in.
     * @return {Node[]} Nodes.
     */
    private static getTextAndCommentNodes;
}
