import Element from '../nodes/basic-types/element/Element';
import DocumentFragment from '../nodes/basic-types/document-fragment/DocumentFragment';
import ScopedCSSCache from '../shadow-root-renderer/css/ScopedCSSCache';
/**
 * Utility for converting an element to string.
 *
 * @class QuerySelector
 */
export default class HTMLElementRenderer {
    static shadowRootCSSCache: ScopedCSSCache;
    /**
     * Renders an element as HTML.
     *
     * @param {Element} element Element to convert.
     * @return {string} HTML.
     */
    static renderOuterHTML(element: Element): string;
    /**
     * Renders an element as HTML.
     *
     * @param {Element|ShadowRoot} element Element to convert.
     * @return {string} HTML.
     */
    static renderInnerHTML(element: Element | DocumentFragment): string;
}
