import HTMLElement from '../../basic-types/html-element/HTMLElement';
import Element from '../../basic-types/element/Element';
/**
 * HTMLFormElement.
 */
export default class HTMLFormElement extends HTMLElement {
    protected static _observedPropertyAttributes: {
        [k: string]: string;
    } & {
        "name": string;
        "method": string;
        "target": string;
        "action": string;
        "encoding": string;
        "enctype": string;
        "accept-charset": string;
        "autocomplete": string;
        "novalidate": string;
    };
    name: string;
    method: string;
    target: string;
    action: string;
    encoding: string;
    enctype: string;
    acceptCharset: string;
    autocomplete: string;
    noValidate: string;
    /**
     * Returns input elements.
     *
     * @return {Element[]} Elements.
     */
    readonly elements: Element[];
    /**
     * Returns number of input elements.
     *
     * @return {number} Length.
     */
    readonly length: number;
    /**
     * Submits form.
     */
    submit(): void;
    /**
     * Resets form.
     */
    reset(): void;
    /**
     * Reports validity.
     */
    reportValidity(): void;
}
